
%if 0%{?fedora}
%global with_devel 0
%global with_bundled 1
%global with_debug 1
%else
%global with_devel 0
%global with_bundled 1
%global with_debug 0
%endif

%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

# etcd release version major.minor
%global etcd_major_version 3
%global etcd_minor_version 4
%global etcd_patch_version 13


%global system_name		etcd
%global _buildhost build-ol%{?oraclelinux}-%{?_arch}.oracle.com

Name:		etcd
Version:	%{etcd_major_version}.%{etcd_minor_version}.%{etcd_patch_version}
Release:	3%{?dist}
Summary:	A highly-available key value store for shared configuration
License:	ASL 2.0
Group:      System/Management
URL:		https://github.com/coreos/etcd
Vendor:		Oracle America
Source0:        etcd-%{version}.tar.bz2

BuildRequires:  	golang >= 1.16
BuildRequires:  	libpcap-devel
BuildRequires:		systemd
Requires(pre):		shadow-utils
Requires(post): 	systemd
Requires(preun): 	systemd
Requires(postun): 	systemd

%description
A highly-available key value store for shared configuration.

%package -n %{system_name}-docker-image
Summary: etcd docker image for Oracle Linux

%description -n %{system_name}-docker-image
etcd docker image for Oracle Linux

%prep
%setup -q -n %{name}-%{version}

%build
unset GOPROXY
ls -ltr $WORKSPACE
go version
#export ETCD_SETUP_GOPATH=1

# this steps are needed because when we use a newer golang
# it will error out with the following error:
# is explicitly required in go.mod, but not marked as explicit in vendor/modules.txt
go mod tidy
go mod vendor

./build

%install
install -D -p -m 0755 bin/%{system_name} %{buildroot}%{_bindir}/%{system_name}
install -D -p -m 0755 bin/%{system_name}ctl %{buildroot}%{_bindir}/%{system_name}ctl

# And create /var/lib/etcd
install -d -m 0755 %{buildroot}%{_sharedstatedir}/%{system_name}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_bindir}/%{system_name}
%{_bindir}/%{system_name}ctl

%changelog
* Mon Apr 25 2022 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> - 3.4.13-3
- Updated THIRD_PARTY_LICENSES.txt generated using pls attribution-helper

* Fri Nov 20 2021 Michael Thompson <michael.a.thompson@oracle.com> - 3.4.13-2
- Added buildhost variable
- updated golang version

* Mon Aug 24 2020 Olcne-Builder Jenkins <olcne-builder_us@oracle.com> - 3.4.13-1
- Added Oracle specific build files
